Subject: bug#48335: closed (Re: bug#48335: Emacs is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Nov 2021 06:41:01 +0000

Your bug report

#48335: Emacs is broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48335: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48335: Emacs is broken
From: Maxim Cournoyer <[email-masked]>
To: Xinglu Chen <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, Leo Prikler <[email-masked]>
Date: Sun, 21 Nov 2021 01:40:00 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Xinglu,

Xinglu Chen <[email-masked]> writes:

> On Fri, May 21 2021, Maxim Cournoyer wrote:
>
>> Hi,
>>
>> Xinglu Chen <[email-masked]> writes:
>>
>>> ~/src/guix $ guix environment --ad-hoc emacs -- emacs --version
>>> The following derivation will be built:
>>>    /gnu/store/js53a7lydr66bk3wpwkaj1j8j43mirrm-profile.drv
>>>
>>> building CA certificate bundle...
>>> listing Emacs sub-directories...
>>> building fonts directory...
>>> generating GLib schema cache...
>>> creating GTK+ icon theme cache...
>>> building cache files for GTK+ input methods...
>>> building directory of Info manuals...
>>> building database for manual pages...
>>> building XDG desktop file cache...
>>> building XDG MIME database...
>>> building profile with 1 package...
>>> /gnu/store/gbzd8hc6360vaxmk2xh5bzkx7dkkwl8q-profile/bin/emacs:
>>> error while loading shared libraries: libm17n-core.so.0: cannot
>>> open shared object file: No such file or directory
>>>
>>> Since other people aren’t able to reproduce this, I am OK with closing
>>> this bug.
>>
>> I tried that exact commit:
>>
>> $ guix time-machine
>> --commit=652a03888e1609bd1a687326760436867fe2abb7 -- environment
>> --ad-hoc emacs -- emacs --version
>> GNU Emacs 27.2
>> Copyright (C) 2021 Free Software Foundation, Inc.
>> GNU Emacs comes with ABSOLUTELY NO WARRANTY.
>> You may redistribute copies of GNU Emacs
>> under the terms of the GNU General Public License.
>> For more information about these matters, see the file named COPYING.
>>
>> I cannot reproduce it here.
>>
>> Do you use channels?  If so, could you
>>
>> $ mv ~/.config/guix/channels.scm{,.bak}
>> $ guix pull
>> $ guix environment --ad-hoc emacs -- emacs --version
>
> That still gives me the same error as before.  I have started to give up
> on trying to fix this bug, using ‘emacs-native-comp’ from the
> flatwhatson channel[1] has been working fine for me.

Since this issue seems to have been forgotten or not posing a pressing
problem to you anymore, and since nobody else was able to reproduce it,
I'm closing it.

Feel free to reopen a fresh one with ideally a reproducer if it
occurs/bothers you again!

Thanks,

Maxim

Subject: Emacs is broken
From: Xinglu Chen <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 18:40:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The ‘emacs’ package seems to be broken, I can reproduce this with

--8<---------------cut here---------------start------------->8---
guix time-machine --commit=87b4b0e4385149b40ee87ae2d57712679452746b -- \
     environment --pure --ad-hoc emacs -- emacs --version
/gnu/store/as4fpcyq6qjngp6433w68v09x5znhh10-profile/bin/emacs: error while loading shared libraries: libm17n-core.so.0: cannot open shared object file: No such file or directory
--8<---------------cut here---------------end--------------->8---

The latest “good” commit I know of is
ee86a035c79b838e3fdabbdb88dc30906a83cc30 (still bisecting).